openjpa-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Phill Moran" <pjmo...@rogers.com>
Subject RE: [jira] Commented: (OPENJPA-233) Top level POM declares a compile-time dependency on JUnit
Date Wed, 02 May 2007 15:21:23 GMT
Why not move on up to the 4.1 junit suite as well while we are at it. Backwards
compatible and more robust? 

-----Original Message-----
From: Craig Russell (JIRA) [mailto:jira@apache.org] 
Sent: May 2, 2007 10:56 AM
To: open-jpa-dev@incubator.apache.org
Subject: [jira] Commented: (OPENJPA-233) Top level POM declares a compile-time
dependency on JUnit


    [
https://issues.apache.org/jira/browse/OPENJPA-233?page=com.atlassian.jira.plugin
.system.issuetabpanels:comment-tabpanel#action_12493116 ] 

Craig Russell commented on OPENJPA-233:
---------------------------------------

This patch changes the dependency from compile to test.

Index: pom.xml
===================================================================
--- pom.xml     (revision 534391)
+++ pom.xml     (working copy)
@@ -220,7 +220,7 @@
             <groupId>junit</groupId>
             <artifactId>junit</artifactId>
             <version>3.8.1</version>
-            <scope>compile</scope>
+            <scope>test</scope>
         </dependency>
     </dependencies>
     <build>


> Top level POM declares a compile-time dependency on JUnit
> ---------------------------------------------------------
>
>                 Key: OPENJPA-233
>                 URL: https://issues.apache.org/jira/browse/OPENJPA-233
>             Project: OpenJPA
>          Issue Type: Bug
>          Components: build / infrastructure
>    Affects Versions: 0.9.7
>            Reporter: Craig Russell
>            Priority: Trivial
>             Fix For: 0.9.8
>
>
> trunk/pom.xml declares the following maven dependency on JUnit. 
>         <dependency>
>             <groupId>junit</groupId>
>             <artifactId>junit</artifactId>
>             <version>3.8.1</version>
>             <scope>compile</scope>
>         </dependency>
> The dependency should be test, not compile, as required only by test
components.

--
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message